[SCM] live-config branch, upstream, updated. upstream/3.0_a35-1-ga307319

Daniel Baumann daniel at debian.org
Fri Apr 6 08:15:43 UTC 2012


The following commit has been merged in the upstream branch:
commit a307319971f4480771c9f2218699a0ac0d2e660b
Author: Daniel Baumann <daniel at debian.org>
Date:   Fri Apr 6 10:14:55 2012 +0200

    Adding upstream version 3.0~a36.

diff --git a/Makefile b/Makefile
index 9c60d5a..9af1961 100644
--- a/Makefile
+++ b/Makefile
@@ -53,6 +53,8 @@ install:
 	cp -r scripts/config.sh scripts/config $(DESTDIR)/lib/live
 	mkdir -p $(DESTDIR)/var/lib/live/config
 
+	cp bin/boot-init.sh $(DESTDIR)/lib/live
+
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-config
 	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-config
@@ -75,6 +77,8 @@ install:
 
 uninstall:
 	# Uninstalling scripts
+	rm -f $(DESTDIR)/lib/live/boot-init.sh
+
 	rm -rf $(DESTDIR)/lib/live/config.sh $(DESTDIR)/lib/live/config
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/live > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib > /dev/null 2>&1 || true
diff --git a/VERSION b/VERSION
index c915247..6b82b43 100644
--- a/VERSION
+++ b/VERSION
@@ -1 +1 @@
-3.0~a35-1
+3.0~a36-1
diff --git a/bin/boot-init.sh b/bin/boot-init.sh
new file mode 100755
index 0000000..5599818
--- /dev/null
+++ b/bin/boot-init.sh
@@ -0,0 +1,198 @@
+#!/bin/sh
+
+# Exit if system was not booted by live-boot
+grep -qs boot=live /proc/cmdline || exit 0
+
+DO_SNAPSHOT=/sbin/live-snapshot
+SNAPSHOT_CONF="/etc/live/boot.d/snapshot.conf"
+
+# Read snapshot configuration variables
+[ -r ${SNAPSHOT_CONF} ] && . ${SNAPSHOT_CONF}
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+# Try to cache everything we're likely to need after ejecting.  This
+# is fragile and simple-minded, but our options are limited.
+cache_path()
+{
+	path="${1}"
+
+	if [ -d "${path}" ]
+	then
+		find "${path}" -type f | xargs cat > /dev/null 2>&1
+	elif [ -f "${path}" ]
+	then
+		if file -L "${path}" | grep -q 'dynamically linked'
+		then
+			# ldd output can be of three forms:
+			# 1. linux-vdso.so.1 =>  (0x00007fffe3fb4000)
+			#    This is a virtual, kernel shared library and we want to skip it
+			# 2. libc.so.6 => /lib/libc.so.6 (0x00007f5e9dc0c000)
+			#    We want to cache the third word.
+			# 3. /lib64/ld-linux-x86-64.so.2 (0x00007f5e9df8b000)
+			#    We want to cache the first word.
+			ldd "${path}" | while read line
+			do
+				if echo "$line" | grep -qs ' =>  '
+				then
+					continue
+				elif echo "$line" | grep -qs ' => '
+				then
+					lib=$(echo "${line}" | awk '{ print $3 }')
+				else
+					lib=$(echo "${line}" | awk '{ print $1 }')
+				fi
+				cache_path "${lib}"
+			done
+		fi
+
+		cat "${path}" >/dev/null 2>&1
+	fi
+}
+
+get_boot_device()
+{
+	# search in /proc/mounts for the device that is mounted at /live/image
+	while read DEVICE MOUNT REST
+	do
+		if [ "${MOUNT}" = "/live/image" ]
+		then
+			echo "${DEVICE}"
+			exit 0
+		fi
+	done < /proc/mounts
+}
+
+device_is_USB_flash_drive()
+{
+	# remove leading "/dev/" and all trailing numbers from input
+	DEVICE=$(expr substr ${1} 6 3)
+
+	# check that device starts with "sd"
+	[ "$(expr substr ${DEVICE} 1 2)" != "sd" ] && return 1
+
+	# check that the device is an USB device
+	if readlink /sys/block/${DEVICE} | grep -q usb
+	then
+		return 0
+	fi
+
+	return 1
+}
+
+log_begin_msg "live-boot: resyncing snapshots and caching reboot files..."
+
+if ! grep -qs nopersistent /proc/cmdline && grep -qs persistent /proc/cmdline
+then
+	# ROOTSNAP and HOMESNAP are defined in ${SNAPSHOT_CONF} file
+	if [ ! -z "${ROOTSNAP}" ]
+	then
+		${DO_SNAPSHOT} --resync-string="${ROOTSNAP}"
+	fi
+
+	if [ ! -z "${HOMESNAP}" ]
+	then
+		${DO_SNAPSHOT} --resync-string="${HOMESNAP}"
+	fi
+fi
+
+# check for netboot
+if [ ! -z "${NETBOOT}" ] || grep -qs netboot /proc/cmdline || grep -qsi root=/dev/nfs /proc/cmdline  || grep -qsi root=/dev/cifs /proc/cmdline
+then
+	return 0
+fi
+
+# check for toram
+if grep -qs toram /proc/cmdline
+then
+	return 0
+fi
+
+# Don't prompt to eject the SD card on Babbage board, where we reuse it
+# as a quasi-boot-floppy. Technically this uses a bit of ubiquity
+# (archdetect), but since this is mostly only relevant for
+# installations, who cares ...
+if [ -x "$(which archdetect 2>/dev/null)" ]
+then
+	subarch="$(archdetect)"
+
+	case $subarch in
+		arm*/imx51)
+			return 0
+			;;
+	esac
+fi
+
+prompt=1
+if [ "${NOPROMPT}" = "Yes" ]
+then
+	prompt=
+fi
+
+for path in $(which halt) $(which reboot) /etc/rc?.d /etc/default $(which stty) /bin/plymouth
+do
+	cache_path "${path}"
+done
+
+for x in $(cat /proc/cmdline)
+do
+	case ${x} in
+		quickreboot)
+			QUICKREBOOT="Yes"
+			;;
+	esac
+done
+
+mount -o remount,ro /live/cow
+
+if [ -z ${QUICKREBOOT} ]
+then
+	# Exit if the system was booted from an ISO image rather than a physical CD
+	grep -qs find_iso= /proc/cmdline && return 0
+	# TODO: i18n
+	BOOT_DEVICE="$(get_boot_device)"
+
+	if device_is_USB_flash_drive ${BOOT_DEVICE}
+	then
+		# do NOT eject USB flash drives!
+		# otherwise rebooting with most USB flash drives
+		# failes because they actually remember the
+		# "ejected" state even after reboot
+		MESSAGE="Please remove the USB flash drive"
+
+		if [ "${NOPROMPT}" = "usb" ]
+		then
+			prompt=
+		fi
+
+	else
+		# ejecting is a very good idea here
+		MESSAGE="Please remove the disc, close the tray (if any)"
+
+		if [ -x /usr/bin/eject ]
+		then
+			eject -p -m /live/image >/dev/null 2>&1
+		fi
+
+		if [ "${NOPROMPT}" = "cd" ]
+		then
+			prompt=
+		fi
+	fi
+
+	[ "$prompt" ] || return 0
+
+	if [ -x /bin/plymouth ] && plymouth --ping
+	then
+		plymouth message --text="${MESSAGE} and press ENTER to continue:"
+		plymouth watch-keystroke > /dev/null
+	else
+		stty sane < /dev/console
+
+		printf "\n\n${MESSAGE} and press ENTER to continue:" > /dev/console
+
+		read x < /dev/console
+	fi
+fi
diff --git a/manpages/de/live-config.de.7 b/manpages/de/live-config.de.7
index 041399a..6047356 100644
--- a/manpages/de/live-config.de.7
+++ b/manpages/de/live-config.de.7
@@ -11,7 +11,7 @@
 .\" This file was generated with po4a. Translate the source file.
 .\"
 .\"*******************************************************************
-.TH LIVE\-CONFIG 7 03.04.2012 3.0~a35\-1 "Debian Live Projekt"
+.TH LIVE\-CONFIG 7 06.04.2012 3.0~a36\-1 "Debian Live Projekt"
 
 .SH NAME
 \fBlive\-config\fP \- System Konfiguration Skripte
diff --git a/manpages/en/live-config.7 b/manpages/en/live-config.7
index 164d709..1ca270a 100644
--- a/manpages/en/live-config.7
+++ b/manpages/en/live-config.7
@@ -6,7 +6,7 @@
 .\" under certain conditions; see COPYING for details.
 .\"
 .\"
-.TH LIVE\-CONFIG 7 2012\-04\-03 3.0~a35-1 "Debian Live Project"
+.TH LIVE\-CONFIG 7 2012\-04\-06 3.0~a36-1 "Debian Live Project"
 
 .SH NAME
 \fBlive\-config\fR \- System Configuration Scripts
diff --git a/manpages/es/live-config.es.7 b/manpages/es/live-config.es.7
index 29d21df..136ad95 100644
--- a/manpages/es/live-config.es.7
+++ b/manpages/es/live-config.es.7
@@ -11,7 +11,7 @@
 .\" This file was generated with po4a. Translate the source file.
 .\"
 .\"*******************************************************************
-.TH LIVE\-CONFIG 7 03.04.2012 3.0~a35\-1 "Proyecto Debian Live"
+.TH LIVE\-CONFIG 7 06.04.2012 3.0~a36\-1 "Proyecto Debian Live"
 
 .SH NOMBRE
 \fBlive\-config\fP \- Scripts de configuración del sistema
diff --git a/manpages/fr/live-config.fr.7 b/manpages/fr/live-config.fr.7
index 3e12c87..96c99ca 100644
--- a/manpages/fr/live-config.fr.7
+++ b/manpages/fr/live-config.fr.7
@@ -11,7 +11,7 @@
 .\" This file was generated with po4a. Translate the source file.
 .\"
 .\"*******************************************************************
-.TH LIVE\-CONFIG 7 03.04.2012 3.0~a35\-1 "Projet Debian Live"
+.TH LIVE\-CONFIG 7 06.04.2012 3.0~a36\-1 "Projet Debian Live"
 
 .SH NOM
 \fBlive\-config\fP \- Scripts de configuration du système
diff --git a/manpages/it/live-config.it.7 b/manpages/it/live-config.it.7
index a4132a3..d2b9700 100644
--- a/manpages/it/live-config.it.7
+++ b/manpages/it/live-config.it.7
@@ -11,7 +11,7 @@
 .\" This file was generated with po4a. Translate the source file.
 .\"
 .\"*******************************************************************
-.TH LIVE\-CONFIG 7 03\-04\-2012 3.0~a35\-1 "Progetto Debian Live"
+.TH LIVE\-CONFIG 7 06\-04\-2012 3.0~a36\-1 "Progetto Debian Live"
 
 .SH NOME
 \fBlive\-config\fP \- Script di configurazione del sistema
diff --git a/manpages/po/de/live-config.7.po b/manpages/po/de/live-config.7.po
index 33c1214..4ccd070 100644
--- a/manpages/po/de/live-config.7.po
+++ b/manpages/po/de/live-config.7.po
@@ -1,11 +1,11 @@
 # German translations for live-config package
-# 2010-2011 Daniel Baumann <daniel at debian.org>
+# 2010-2012 Daniel Baumann <daniel at debian.org>
 # This file is distributed under the same license as the live-config package.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: live-config 3.0~a35-1\n"
-"POT-Creation-Date: 2012-04-03 09:08+0300\n"
+"Project-Id-Version: live-config 3.0~a36-1\n"
+"POT-Creation-Date: 2012-04-06 10:06+0300\n"
 "PO-Revision-Date: 2010-05-24 09:59+0300\n"
 "Last-Translator: Daniel Baumann <daniel at debian.org>\n"
 "Language-Team: none\n"
@@ -24,14 +24,14 @@ msgstr "LIVE-CONFIG"
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "2012-04-03"
-msgstr "03.04.2012"
+msgid "2012-04-06"
+msgstr "06.04.2012"
 
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "3.0~a35-1"
-msgstr "3.0~a35-1"
+msgid "3.0~a36-1"
+msgstr "3.0~a36-1"
 
 #. type: TH
 #: en/live-config.7:9
diff --git a/manpages/po/es/live-config.7.po b/manpages/po/es/live-config.7.po
index 6ce8c19..74f4312 100644
--- a/manpages/po/es/live-config.7.po
+++ b/manpages/po/es/live-config.7.po
@@ -1,16 +1,15 @@
 # Spanish translation of live-config manpage
-# 2011 Carlos Zuferri "chals" <chals at altorricon.com>
-# 2011 José Luis Zabalza <jlz.3008 at gmail.com>
+# 2011-2012 Carlos Zuferri "chals" <chals at altorricon.com>
+# 2011-2012 José Luis Zabalza <jlz.3008 at gmail.com>
 # This file is distributed under the same license as the live-config package.
-# Carlos Zuferri «chals» <chals at altorricon.com>, 2011.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: live-config 3.0~a35-1\n"
-"POT-Creation-Date: 2012-04-03 09:08+0300\n"
+"Project-Id-Version: live-config 3.0~a36-1\n"
+"POT-Creation-Date: 2012-04-06 10:06+0300\n"
 "PO-Revision-Date: 2011-12-06 17:47+0100\n"
 "Last-Translator: Carlos Zuferri «chals» <chals at altorricon.com>\n"
-"Language-Team:  <debian-live at lists.debian.org>\n"
+"Language-Team: none\n"
 "Language: es\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -26,14 +25,14 @@ msgstr "LIVE-CONFIG"
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "2012-04-03"
-msgstr "03.04.2012"
+msgid "2012-04-06"
+msgstr "06.04.2012"
 
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "3.0~a35-1"
-msgstr "3.0~a35-1"
+msgid "3.0~a36-1"
+msgstr "3.0~a36-1"
 
 #. type: TH
 #: en/live-config.7:9
diff --git a/manpages/po/fr/live-config.7.po b/manpages/po/fr/live-config.7.po
index 96ab161..28c8e09 100644
--- a/manpages/po/fr/live-config.7.po
+++ b/manpages/po/fr/live-config.7.po
@@ -1,15 +1,15 @@
 # French translations for live-config package
 # 2010 Thierry Lépicier <thierry.lepicier at free.fr>
+# 2011-2012 Carlos Zuferri "chals" <chals at altorricon.com>
 # This file is distributed under the same license as the live-config package.
-# Carlos Zuferri «chals» <chals at altorricon.com>, 2011.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: live-config 3.0~a35-1\n"
-"POT-Creation-Date: 2012-04-03 09:08+0300\n"
+"Project-Id-Version: live-config 3.0~a36-1\n"
+"POT-Creation-Date: 2012-04-06 10:06+0300\n"
 "PO-Revision-Date: 2011-12-06 18:02+0100\n"
 "Last-Translator: Carlos Zuferri «chals» <chals at altorricon.com>\n"
-"Language-Team:  <debian-live at lists.debian.org>\n"
+"Language-Team: none\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -25,14 +25,14 @@ msgstr "LIVE-CONFIG"
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "2012-04-03"
-msgstr "03.04.2012"
+msgid "2012-04-06"
+msgstr "06.04.2012"
 
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "3.0~a35-1"
-msgstr "3.0~a35-1"
+msgid "3.0~a36-1"
+msgstr "3.0~a36-1"
 
 #. type: TH
 #: en/live-config.7:9
diff --git a/manpages/po/it/live-config.7.po b/manpages/po/it/live-config.7.po
index 4d79b46..6114479 100644
--- a/manpages/po/it/live-config.7.po
+++ b/manpages/po/it/live-config.7.po
@@ -1,14 +1,14 @@
 # Italian translations for live-config package
-# 2011 skizzhg <skizzhg at gmx.com>
+# 2011-2012 skizzhg <skizzhg at gmx.com>
 # This file is distributed under the same license as the live-config package.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: live-config 3.0~a35-1\n"
-"POT-Creation-Date: 2012-04-03 09:08+0300\n"
+"Project-Id-Version: live-config 3.0~a36-1\n"
+"POT-Creation-Date: 2012-04-06 10:06+0300\n"
 "PO-Revision-Date: 2011-12-06 08:01+0100\n"
 "Last-Translator: skizzhg <skizzhg at gmx.com>\n"
-"Language-Team: Italian <tp at lists.linux.it>\n"
+"Language-Team: none\n"
 "Language: it\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -23,14 +23,14 @@ msgstr "LIVE-CONFIG"
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "2012-04-03"
-msgstr "03-04-2012"
+msgid "2012-04-06"
+msgstr "06-04-2012"
 
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "3.0~a35-1"
-msgstr "3.0~a35-1"
+msgid "3.0~a36-1"
+msgstr "3.0~a36-1"
 
 #. type: TH
 #: en/live-config.7:9
diff --git a/manpages/po/pt_BR/live-config.7.po b/manpages/po/pt_BR/live-config.7.po
index 8a2ef01..be7045b 100644
--- a/manpages/po/pt_BR/live-config.7.po
+++ b/manpages/po/pt_BR/live-config.7.po
@@ -1,11 +1,11 @@
 # Brazilian Portuguese translations for live-config package
-# 2010 Tassia Camoes Araujo <tassia at gmail.com>
+# 2010-2012 Tassia Camoes Araujo <tassia at gmail.com>
 # This file is distributed under the same license as the live-config package.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: live-config 3.0~a35-1\n"
-"POT-Creation-Date: 2012-04-03 09:08+0300\n"
+"Project-Id-Version: live-config 3.0~a36-1\n"
+"POT-Creation-Date: 2012-04-06 10:06+0300\n"
 "PO-Revision-Date: 2010-05-24 09:59+0300\n"
 "Last-Translator: Tassia Camoes Araujo <tassia at gmail.com>\n"
 "Language-Team: none\n"
@@ -23,14 +23,14 @@ msgstr "LIVE-CONFIG"
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "2012-04-03"
-msgstr "03-04-2012"
+msgid "2012-04-06"
+msgstr "06-04-2012"
 
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "3.0~a35-1"
-msgstr "3.0~a35-1"
+msgid "3.0~a36-1"
+msgstr "3.0~a36-1"
 
 #. type: TH
 #: en/live-config.7:9
diff --git a/manpages/pot/live-config.7.pot b/manpages/pot/live-config.7.pot
index c48d493..1b31241 100644
--- a/manpages/pot/live-config.7.pot
+++ b/manpages/pot/live-config.7.pot
@@ -7,7 +7,7 @@
 msgid ""
 msgstr ""
 "Project-Id-Version: live-config VERSION\n"
-"POT-Creation-Date: 2012-04-03 09:08+0300\n"
+"POT-Creation-Date: 2012-04-06 10:06+0300\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL at ADDRESS>\n"
 "Language-Team: LANGUAGE <LL at li.org>\n"
@@ -25,13 +25,13 @@ msgstr ""
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "2012-04-03"
+msgid "2012-04-06"
 msgstr ""
 
 #. type: TH
 #: en/live-config.7:9
 #, no-wrap
-msgid "3.0~a35-1"
+msgid "3.0~a36-1"
 msgstr ""
 
 #. type: TH
diff --git a/manpages/pt_BR/live-config.pt_BR.7 b/manpages/pt_BR/live-config.pt_BR.7
index 2f55af9..55978e4 100644
--- a/manpages/pt_BR/live-config.pt_BR.7
+++ b/manpages/pt_BR/live-config.pt_BR.7
@@ -11,7 +11,7 @@
 .\" This file was generated with po4a. Translate the source file.
 .\"
 .\"*******************************************************************
-.TH LIVE\-CONFIG 7 03\-04\-2012 3.0~a35\-1 "Projeto Debian Live"
+.TH LIVE\-CONFIG 7 06\-04\-2012 3.0~a36\-1 "Projeto Debian Live"
 
 .SH NOME
 \fBlive\-config\fP \- Scripts para Configuração do Sistema

-- 
live-config



More information about the debian-live-changes mailing list